## com.lowagie.tools.plugins.treeview
Class FileTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.tools.plugins.treeview.UpdateableTreeNode
              com.lowagie.tools.plugins.treeview.FileTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class FileTreeNode

extends UpdateableTreeNode

See Also:
  Serialized Form

Field Summary
`(package private) PdfReader` `reader`
`private static long` `serialVersionUID`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`FileTreeNode(java.lang.Object p0, PdfReader reader)`

Method Summary
`javax.swing.Icon` `getIcon()`
`void` `updateview(IUpdatenodeview updateobject)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### reader

    PdfReader reader

Constructor Detail

### FileTreeNode

    public FileTreeNode(java.lang.Object p0,
                        PdfReader reader)

Method Detail

### updateview

    public void updateview(IUpdatenodeview updateobject)

  Specified by:
    `updateview` in class `UpdateableTreeNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `UpdateableTreeNode`